package de.intevation.flys.exports;

import org.apache.log4j.Logger;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class ChartSection extends TypeSection {

    private static Logger logger = Logger.getLogger(ChartSection.class);

    public static final String TITLE_ATTR         = "title";
    public static final String SUBTITLE_ATTR      = "subtitle";
    public static final String DISPLAYGRID_ATTR   = "display-grid";
    public static final String DISPLAYLOGO_ATTR   = "display-logo";
    public static final String LOGOPLACEMENT_ATTR = "logo-place";


    public ChartSection() {
        super("chart");
    }


    public void setTitle(String title) {
        setStringValue(TITLE_ATTR, title);
    }


    public String getTitle() {
        return getStringValue(TITLE_ATTR);
    }


    public void setSubtitle(String subtitle) {
        setStringValue(SUBTITLE_ATTR, subtitle);
    }


    public String getSubtitle() {
        return getStringValue(SUBTITLE_ATTR);
    }


    /** Get Property-value for display-logo property. */
    public String getDisplayLogo() {
        return getStringValue(DISPLAYLOGO_ATTR);
    }


    /** Set Property-value for display-logo property. */
    public void setDisplayLogo(String logo) {
        logger.debug("Setting Display logo string.");
        setChoiceStringValue(DISPLAYLOGO_ATTR, logo, "logo");
    }


    /** Get Property-value for logo-placement property. */
    public String getLogoPlacement() {
        return getStringValue(LOGOPLACEMENT_ATTR);
    }


    /** Set Property-value for logo-placement property. */
    public void setLogoPlacement(String place) {
        setChoiceStringValue(LOGOPLACEMENT_ATTR, place, "place");
    }


    public void setDisplayGrid(boolean displayGrid) {
        setBooleanValue(DISPLAYGRID_ATTR, displayGrid);
    }


    public Boolean getDisplayGrid() {
        return getBooleanValue(DISPLAYGRID_ATTR);
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
